<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">MessageRouterTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::test::MessageRouterTest Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a01544183e62a9375553e7c689fc6e4eb">AVS_ENDPOINT</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a52c85db7c38556041c680ef7e64cad6e">CONTEXT_ID</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a11a6883a416486263c1e6d9081f08b0d">createMessageRequest</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a28502ff4814c0d4457f125af92975103">m_attachmentManager</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a15b09c6480f4f3beece9ffb6a8d27356">m_mockAuthDelegate</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a5a31fe1dd202d5fdee873d54701889bc">m_mockMessageRouterObserver</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a02bb17f0bc021e498ece1b73e4afb884">m_mockTransport</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a9f3de25ea8176943f4ad161a261c998b">m_router</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#ad5c78deca800be60723dd1bc23c064a3">m_transportFactory</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a9f63c6832a6b3c58391618406fab50c9">MESSAGE</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#aab6ee5fdd9e7fcf901dfc40f3f28304f">MESSAGE_LENGTH</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#ad5f87344d8063723eeeaae5edf4a2478">MessageRouterTest</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a022fbc6fbc22c7b6349d75b140ec6a38">setupStateToConnected</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a7f30624ddfbbad17ba34ea9a4b5bc37d">setupStateToPending</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#ab85c71109ccf5226856f65a92c4e8a6d">SHORT_TIMEOUT_MS</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a984f546c7f1d61aea3168228c49e539b">TearDown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html#a9456435185c5b44be9500a4f8e301d1e">waitOnMessageRouter</a>(std::chrono::milliseconds millisecondsToWait)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_message_router_test.html">alexaClientSDK::acl::test::MessageRouterTest</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
